<div id="content">
    <div class="row">
        <div class="col-sm-12">
            <app-book-loader *ngIf="isLoading"></app-book-loader>

            <div *ngIf="!isLoading" style="text-align:center; margin-bottom: 20px; margin-top: 10px;">
                <!--<h1> Welcome to Bookgram! </h1>-->
                <h3> Create new discussion about {{ data.type }} </h3>

            </div>
            <form *ngIf="!isLoading" [formGroup]="form" (submit)="onSubmit(form.value)">
                <div class="form-group form-row" *ngIf="!data.onId">
                    <label for="chooseData">Find your {{ data.type}}</label>

                    <input [matAutocomplete]="auto" name="chooseData" [placeholder]="'Find ' + data.type" formControlName="chooseData">

                    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
                        <mat-option *ngFor="let el of filteredOptions | async" [value]="el">
                            {{ data.type === 'Book' ? el.title : el.name}}
                        </mat-option>
                    </mat-autocomplete>
                </div>
                <div class="form-group form-row">

                    <label for="name">Name of discussion</label>
                    <input type="text " class="form-control " id="name" placeholder="Name of discussion" formControlName="name">

                </div>

                <div class="form-row form-group">
                    <label for="about">About discussion:</label>
                    <textarea class="form-control" id="about" formControlName="about" placeholder="About discussion" rows="5"></textarea>
                </div>
                <div class="form-group" style="text-align: center;">
                    <button type="submit" class="btn btn-dark" [disabled]="!this.form.valid">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>
